- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Search for |

- Namespace List
- Namespace Members

# PortableServer Namespace Reference

## Classes
class | AdapterActivator
class | ForwardRequest
class | IdAssignmentPolicy
class | IdUniquenessPolicy
class | ImplicitActivationPolicy
class | LifespanPolicy
class | POAManager
class | POAList
class | POA
class | Current
struct | RefCountServantBase
class | RequestProcessingPolicy
class | ServantActivator
class | ServantLocator
class | ServantManager
class | ServantRetentionPolicy
class | ThreadPolicy
## Typedefs
typedef POAManager * | POAManager_ptr
typedef TAO_Objref_Var_T< POAManager > | POAManager_var
typedef AdapterActivator * | AdapterActivator_ptr
typedef TAO_Objref_Var_T< AdapterActivator > | AdapterActivator_var
typedef TAO_Objref_Out_T< AdapterActivator > | AdapterActivator_out
typedef IdAssignmentPolicyValue & | IdAssignmentPolicyValue_out
typedef IdAssignmentPolicy * | IdAssignmentPolicy_ptr
typedef TAO_Objref_Var_T< IdAssignmentPolicy > | IdAssignmentPolicy_var
typedef TAO_Objref_Out_T< IdAssignmentPolicy > | IdAssignmentPolicy_out
typedef IdUniquenessPolicyValue & | IdUniquenessPolicyValue_out
typedef IdUniquenessPolicy * | IdUniquenessPolicy_ptr
typedef TAO_Objref_Var_T< IdUniquenessPolicy > | IdUniquenessPolicy_var
typedef TAO_Objref_Out_T< IdUniquenessPolicy > | IdUniquenessPolicy_out
typedef ImplicitActivationPolicyValue & | ImplicitActivationPolicyValue_out
typedef ImplicitActivationPolicy * | ImplicitActivationPolicy_ptr
typedef TAO_Objref_Var_T< ImplicitActivationPolicy > | ImplicitActivationPolicy_var
typedef TAO_Objref_Out_T< ImplicitActivationPolicy > | ImplicitActivationPolicy_out
typedef LifespanPolicyValue & | LifespanPolicyValue_out
typedef LifespanPolicy * | LifespanPolicy_ptr
typedef TAO_Objref_Var_T< LifespanPolicy > | LifespanPolicy_var
typedef TAO_Objref_Out_T< LifespanPolicy > | LifespanPolicy_out
typedef POA * | POA_ptr
typedef POAManager * | POAManager_ptr
typedef TAO_Objref_Var_T< POAManager > | POAManager_var
typedef TAO_Objref_Out_T< POAManager > | POAManager_out
typedef TAO_MngSeq_Var_T< POAList, TAO_Object_Manager< POA, POA_var > > | POAList_var
typedef TAO_MngSeq_Out_T< POAList, POAList_var, TAO_Object_Manager< POA, POA_var > > | POAList_out
typedef POAManager * | POAManager_ptr
typedef TAO_Objref_Var_T< POAManager > | POAManager_var
typedef TAO_Objref_Out_T< POAManager > | POAManager_out
typedef AdapterActivator * | AdapterActivator_ptr
typedef TAO_Objref_Var_T< AdapterActivator > | AdapterActivator_var
typedef TAO_Objref_Out_T< AdapterActivator > | AdapterActivator_out
typedef ServantManager * | ServantManager_ptr
typedef TAO_Objref_Var_T< ServantManager > | ServantManager_var
typedef TAO_Objref_Out_T< ServantManager > | ServantManager_out
typedef Current * | Current_ptr
typedef TAO_Objref_Var_T< Current > | Current_var
typedef TAO_Objref_Out_T< Current > | Current_out
typedef TAO_ServantBase | ServantBase
typedef TAO_ServantBase_var | ServantBase_var
typedef ServantBase * | Servant
typedef TAO_Local_ServantBase | LocalServantBase
typedef TAO_DynamicImplementation | DynamicImplementation
typedef CORBA::OctetSeq | ObjectId
typedef CORBA::OctetSeq_var | ObjectId_var
typedef CORBA::OctetSeq_out | ObjectId_out
typedef POA * | POA_ptr
typedef TAO_Objref_Var_T< POA > | POA_var
typedef TAO_Objref_Out_T< POA > | POA_out
typedef RequestProcessingPolicyValue & | RequestProcessingPolicyValue_out
typedef RequestProcessingPolicy * | RequestProcessingPolicy_ptr
typedef TAO_Objref_Var_T< RequestProcessingPolicy > | RequestProcessingPolicy_var
typedef TAO_Objref_Out_T< RequestProcessingPolicy > | RequestProcessingPolicy_out
typedef ServantManager * | ServantManager_ptr
typedef ServantActivator * | ServantActivator_ptr
typedef TAO_Objref_Var_T< ServantActivator > | ServantActivator_var
typedef ServantLocator * | ServantLocator_ptr
typedef TAO_Objref_Var_T< ServantLocator > | ServantLocator_var
typedef POAManager * | POAManager_ptr
typedef ServantActivator * | ServantActivator_ptr
typedef TAO_Objref_Var_T< ServantActivator > | ServantActivator_var
typedef TAO_Objref_Out_T< ServantActivator > | ServantActivator_out
typedef ServantLocator * | ServantLocator_ptr
typedef TAO_Objref_Var_T< ServantLocator > | ServantLocator_var
typedef TAO_Objref_Out_T< ServantLocator > | ServantLocator_out
typedef ServantManager * | ServantManager_ptr
typedef TAO_Objref_Var_T< ServantManager > | ServantManager_var
typedef TAO_Objref_Out_T< ServantManager > | ServantManager_out
typedef ServantRetentionPolicyValue & | ServantRetentionPolicyValue_out
typedef ServantRetentionPolicy * | ServantRetentionPolicy_ptr
typedef TAO_Objref_Var_T< ServantRetentionPolicy > | ServantRetentionPolicy_var
typedef TAO_Objref_Out_T< ServantRetentionPolicy > | ServantRetentionPolicy_out
typedef ThreadPolicyValue & | ThreadPolicyValue_out
typedef ThreadPolicy * | ThreadPolicy_ptr
typedef TAO_Objref_Var_T< ThreadPolicy > | ThreadPolicy_var
typedef TAO_Objref_Out_T< ThreadPolicy > | ThreadPolicy_out
typedef ::TAO_ServantBase | ServantBase
## Enumerations
enum | IdAssignmentPolicyValue { USER_ID, SYSTEM_ID }
enum | IdUniquenessPolicyValue { UNIQUE_ID, MULTIPLE_ID }
enum | ImplicitActivationPolicyValue { IMPLICIT_ACTIVATION, NO_IMPLICIT_ACTIVATION }
enum | LifespanPolicyValue { TRANSIENT, PERSISTENT }
enum | RequestProcessingPolicyValue { USE_ACTIVE_OBJECT_MAP_ONLY, USE_DEFAULT_SERVANT, USE_SERVANT_MANAGER }
enum | ServantRetentionPolicyValue { RETAIN, NON_RETAIN }
enum | ThreadPolicyValue { ORB_CTRL_MODEL, SINGLE_THREAD_MODEL }
## Functions
PortableServer::ObjectId * | string_to_ObjectId (const char *string)
char * | ObjectId_to_string (const PortableServer::ObjectId &id)
| Utility functions for the other.
PortableServer::ObjectId * | wstring_to_ObjectId (const CORBA::WChar *string)
CORBA::WChar * | ObjectId_to_wstring (const PortableServer::ObjectId &id)
## Variables
::CORBA::TypeCode_ptr const | _tc_AdapterActivator
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_AdapterActivator
::CORBA::TypeCode_ptr const | _tc_ForwardRequest
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ForwardRequest
::CORBA::TypeCode_ptr const | _tc_IdAssignmentPolicyValue
::CORBA::TypeCode_ptr const | _tc_IdAssignmentPolicy
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_IdAssignmentPolicyValue
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_IdAssignmentPolicy
::CORBA::TypeCode_ptr const | _tc_IdUniquenessPolicyValue
::CORBA::TypeCode_ptr const | _tc_IdUniquenessPolicy
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_IdUniquenessPolicyValue
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_IdUniquenessPolicy
::CORBA::TypeCode_ptr const | _tc_ImplicitActivationPolicyValue
::CORBA::TypeCode_ptr const | _tc_ImplicitActivationPolicy
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ImplicitActivationPolicyValue
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ImplicitActivationPolicy
::CORBA::TypeCode_ptr const | _tc_LifespanPolicyValue
::CORBA::TypeCode_ptr const | _tc_LifespanPolicy
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_LifespanPolicyValue
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_LifespanPolicy
::CORBA::TypeCode_ptr const | _tc_POAManager
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_POAManager
extern::CORBA::TypeCode_ptr const | _tc_POA
::CORBA::TypeCode_ptr const | _tc_POAList
::CORBA::TypeCode_ptr const | _tc_POA
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_POAList
const CORBA::PolicyType | THREAD_POLICY_ID = 16U
const CORBA::PolicyType | LIFESPAN_POLICY_ID = 17U
const CORBA::PolicyType | ID_UNIQUENESS_POLICY_ID = 18U
const CORBA::PolicyType | ID_ASSIGNMENT_POLICY_ID = 19U
const CORBA::PolicyType | IMPLICIT_ACTIVATION_POLICY_ID = 20U
const CORBA::PolicyType | SERVANT_RETENTION_POLICY_ID = 21U
const CORBA::PolicyType | REQUEST_PROCESSING_POLICY_ID = 22U
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_POA
::CORBA::TypeCode_ptr const | _tc_Current
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_Current
::CORBA::TypeCode_ptr const | _tc_ObjectId
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ObjectId
::CORBA::TypeCode_ptr const | _tc_RequestProcessingPolicyValue
::CORBA::TypeCode_ptr const | _tc_RequestProcessingPolicy
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_RequestProcessingPolicyValue
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_RequestProcessingPolicy
::CORBA::TypeCode_ptr const | _tc_ServantActivator
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ServantActivator
::CORBA::TypeCode_ptr const | _tc_ServantLocator
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ServantLocator
::CORBA::TypeCode_ptr const | _tc_ServantManager
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ServantManager
::CORBA::TypeCode_ptr const | _tc_ServantRetentionPolicyValue
::CORBA::TypeCode_ptr const | _tc_ServantRetentionPolicy
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ServantRetentionPolicyValue
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ServantRetentionPolicy
::CORBA::TypeCode_ptr const | _tc_ThreadPolicyValue
::CORBA::TypeCode_ptr const | _tc_ThreadPolicy
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ThreadPolicyValue
TAO_PortableServer_Export::CORBA::TypeCode_ptr const | _tc_ThreadPolicy

## Typedef Documentation

typedef POAManager* PortableServer::POAManager_ptr

typedef TAO_Objref_Var_T<POAManager> PortableServer::POAManager_var

typedef AdapterActivator* PortableServer::AdapterActivator_ptr

typedef TAO_Objref_Var_T< AdapterActivator > PortableServer::AdapterActivator_var

typedef TAO_Objref_Out_T< AdapterActivator > PortableServer::AdapterActivator_out

typedef IdAssignmentPolicyValue& PortableServer::IdAssignmentPolicyValue_out

typedef IdAssignmentPolicy* PortableServer::IdAssignmentPolicy_ptr

typedef TAO_Objref_Var_T< IdAssignmentPolicy > PortableServer::IdAssignmentPolicy_var

typedef TAO_Objref_Out_T< IdAssignmentPolicy > PortableServer::IdAssignmentPolicy_out

typedef IdUniquenessPolicyValue& PortableServer::IdUniquenessPolicyValue_out

typedef IdUniquenessPolicy* PortableServer::IdUniquenessPolicy_ptr

typedef TAO_Objref_Var_T< IdUniquenessPolicy > PortableServer::IdUniquenessPolicy_var

typedef TAO_Objref_Out_T< IdUniquenessPolicy > PortableServer::IdUniquenessPolicy_out

typedef ImplicitActivationPolicyValue& PortableServer::ImplicitActivationPolicyValue_out

typedef ImplicitActivationPolicy* PortableServer::ImplicitActivationPolicy_ptr

typedef TAO_Objref_Var_T< ImplicitActivationPolicy > PortableServer::ImplicitActivationPolicy_var

typedef TAO_Objref_Out_T< ImplicitActivationPolicy > PortableServer::ImplicitActivationPolicy_out

typedef LifespanPolicyValue& PortableServer::LifespanPolicyValue_out

typedef LifespanPolicy* PortableServer::LifespanPolicy_ptr

typedef TAO_Objref_Var_T< LifespanPolicy > PortableServer::LifespanPolicy_var

typedef TAO_Objref_Out_T< LifespanPolicy > PortableServer::LifespanPolicy_out

typedef POA* PortableServer::POA_ptr

typedef POAManager* PortableServer::POAManager_ptr

typedef TAO_Objref_Var_T< POAManager > PortableServer::POAManager_var

typedef TAO_Objref_Out_T< POAManager > PortableServer::POAManager_out

typedef TAO_MngSeq_Var_T< POAList, TAO_Object_Manager< POA, POA_var > > PortableServer::POAList_var

typedef TAO_MngSeq_Out_T< POAList, POAList_var, TAO_Object_Manager< POA, POA_var > > PortableServer::POAList_out

typedef POAManager* PortableServer::POAManager_ptr

typedef TAO_Objref_Var_T< POAManager > PortableServer::POAManager_var

typedef TAO_Objref_Out_T< POAManager > PortableServer::POAManager_out

typedef AdapterActivator* PortableServer::AdapterActivator_ptr

typedef TAO_Objref_Var_T< AdapterActivator > PortableServer::AdapterActivator_var

typedef TAO_Objref_Out_T< AdapterActivator > PortableServer::AdapterActivator_out

typedef ServantManager* PortableServer::ServantManager_ptr

typedef TAO_Objref_Var_T< ServantManager > PortableServer::ServantManager_var

typedef TAO_Objref_Out_T< ServantManager > PortableServer::ServantManager_out

typedef Current* PortableServer::Current_ptr

typedef TAO_Objref_Var_T< Current > PortableServer::Current_var

typedef TAO_Objref_Out_T< Current > PortableServer::Current_out

typedef TAO_ServantBase PortableServer::ServantBase

typedef TAO_ServantBase_var PortableServer::ServantBase_var

typedef ServantBase* PortableServer::Servant

typedef TAO_Local_ServantBase PortableServer::LocalServantBase

typedef TAO_DynamicImplementation PortableServer::DynamicImplementation

typedef CORBA::OctetSeq PortableServer::ObjectId

typedef CORBA::OctetSeq_var PortableServer::ObjectId_var

typedef CORBA::OctetSeq_out PortableServer::ObjectId_out

typedef POA* PortableServer::POA_ptr

typedef TAO_Objref_Var_T< POA > PortableServer::POA_var

typedef TAO_Objref_Out_T< POA > PortableServer::POA_out

typedef RequestProcessingPolicyValue& PortableServer::RequestProcessingPolicyValue_out

typedef RequestProcessingPolicy* PortableServer::RequestProcessingPolicy_ptr

typedef TAO_Objref_Var_T< RequestProcessingPolicy > PortableServer::RequestProcessingPolicy_var

typedef TAO_Objref_Out_T< RequestProcessingPolicy > PortableServer::RequestProcessingPolicy_out

typedef ServantManager* PortableServer::ServantManager_ptr

typedef ServantActivator* PortableServer::ServantActivator_ptr

typedef TAO_Objref_Var_T<ServantActivator> PortableServer::ServantActivator_var

typedef ServantLocator* PortableServer::ServantLocator_ptr

typedef TAO_Objref_Var_T<ServantLocator> PortableServer::ServantLocator_var

typedef POAManager* PortableServer::POAManager_ptr

typedef ServantActivator* PortableServer::ServantActivator_ptr

typedef TAO_Objref_Var_T< ServantActivator > PortableServer::ServantActivator_var

typedef TAO_Objref_Out_T< ServantActivator > PortableServer::ServantActivator_out

typedef ServantLocator* PortableServer::ServantLocator_ptr

typedef TAO_Objref_Var_T< ServantLocator > PortableServer::ServantLocator_var

typedef TAO_Objref_Out_T< ServantLocator > PortableServer::ServantLocator_out

typedef ServantManager* PortableServer::ServantManager_ptr

typedef TAO_Objref_Var_T< ServantManager > PortableServer::ServantManager_var

typedef TAO_Objref_Out_T< ServantManager > PortableServer::ServantManager_out

typedef ServantRetentionPolicyValue& PortableServer::ServantRetentionPolicyValue_out

typedef ServantRetentionPolicy* PortableServer::ServantRetentionPolicy_ptr

typedef TAO_Objref_Var_T< ServantRetentionPolicy > PortableServer::ServantRetentionPolicy_var

typedef TAO_Objref_Out_T< ServantRetentionPolicy > PortableServer::ServantRetentionPolicy_out

typedef ThreadPolicyValue& PortableServer::ThreadPolicyValue_out

typedef ThreadPolicy* PortableServer::ThreadPolicy_ptr

typedef TAO_Objref_Var_T< ThreadPolicy > PortableServer::ThreadPolicy_var

typedef TAO_Objref_Out_T< ThreadPolicy > PortableServer::ThreadPolicy_out

typedef ::TAO_ServantBase PortableServer::ServantBase

## Enumeration Type Documentation

enum PortableServer::IdAssignmentPolicyValue

Enumerator:

  USER_ID |
  SYSTEM_ID |

enum PortableServer::IdUniquenessPolicyValue

Enumerator:

  UNIQUE_ID |
  MULTIPLE_ID |

enum PortableServer::ImplicitActivationPolicyValue

Enumerator:

  IMPLICIT_ACTIVATION |
  NO_IMPLICIT_ACTIVATION |

enum PortableServer::LifespanPolicyValue

Enumerator:

  TRANSIENT |
  PERSISTENT |

enum PortableServer::RequestProcessingPolicyValue

Enumerator:

  USE_ACTIVE_OBJECT_MAP_ONLY |
  USE_DEFAULT_SERVANT |
  USE_SERVANT_MANAGER |

enum PortableServer::ServantRetentionPolicyValue

Enumerator:

  RETAIN |
  NON_RETAIN |

enum PortableServer::ThreadPolicyValue

Enumerator:

  ORB_CTRL_MODEL |
  SINGLE_THREAD_MODEL |

## Function Documentation

TAO_NAMESPACE_STORAGE_CLASS PortableServer::ObjectId * PortableServer::string_to_ObjectId | ( | const char * | string | ) |

TAO_NAMESPACE_STORAGE_CLASS char * PortableServer::ObjectId_to_string | ( | const PortableServer::ObjectId & | id | ) |

Utility functions for the other.

TAO_NAMESPACE_STORAGE_CLASS PortableServer::ObjectId * PortableServer::wstring_to_ObjectId | ( | const CORBA::WChar * | string | ) |

TAO_NAMESPACE_STORAGE_CLASS CORBA::WChar * PortableServer::ObjectId_to_wstring | ( | const PortableServer::ObjectId & | id | ) |

## Variable Documentation

::CORBA::TypeCode_ptr const PortableServer::_tc_AdapterActivator

Initial value:

        &_tao_tc_PortableServer_AdapterActivator

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_AdapterActivator

::CORBA::TypeCode_ptr const PortableServer::_tc_ForwardRequest

Initial value:

        &_tao_tc_PortableServer_ForwardRequest

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ForwardRequest

::CORBA::TypeCode_ptr const PortableServer::_tc_IdAssignmentPolicyValue

Initial value:

        &_tao_tc_PortableServer_IdAssignmentPolicyValue

::CORBA::TypeCode_ptr const PortableServer::_tc_IdAssignmentPolicy

Initial value:

        &_tao_tc_PortableServer_IdAssignmentPolicy

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_IdAssignmentPolicyValue

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_IdAssignmentPolicy

::CORBA::TypeCode_ptr const PortableServer::_tc_IdUniquenessPolicyValue

Initial value:

        &_tao_tc_PortableServer_IdUniquenessPolicyValue

::CORBA::TypeCode_ptr const PortableServer::_tc_IdUniquenessPolicy

Initial value:

        &_tao_tc_PortableServer_IdUniquenessPolicy

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_IdUniquenessPolicyValue

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_IdUniquenessPolicy

::CORBA::TypeCode_ptr const PortableServer::_tc_ImplicitActivationPolicyValue

Initial value:

        &_tao_tc_PortableServer_ImplicitActivationPolicyValue

::CORBA::TypeCode_ptr const PortableServer::_tc_ImplicitActivationPolicy

Initial value:

        &_tao_tc_PortableServer_ImplicitActivationPolicy

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ImplicitActivationPolicyValue

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ImplicitActivationPolicy

::CORBA::TypeCode_ptr const PortableServer::_tc_LifespanPolicyValue

Initial value:

        &_tao_tc_PortableServer_LifespanPolicyValue

::CORBA::TypeCode_ptr const PortableServer::_tc_LifespanPolicy

Initial value:

        &_tao_tc_PortableServer_LifespanPolicy

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_LifespanPolicyValue

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_LifespanPolicy

::CORBA::TypeCode_ptr const PortableServer::_tc_POAManager

Initial value:

        &_tao_tc_PortableServer_POAManager

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_POAManager

extern ::CORBA::TypeCode_ptr const PortableServer::_tc_POA

::CORBA::TypeCode_ptr const PortableServer::_tc_POAList

Initial value:

        &_tao_tc_PortableServer_POAList

::CORBA::TypeCode_ptr const PortableServer::_tc_POA

Initial value:

        &_tao_tc_PortableServer_POA

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_POAList

const CORBA::PolicyType PortableServer::THREAD_POLICY_ID = 16U

const CORBA::PolicyType PortableServer::LIFESPAN_POLICY_ID = 17U

const CORBA::PolicyType PortableServer::ID_UNIQUENESS_POLICY_ID = 18U

const CORBA::PolicyType PortableServer::ID_ASSIGNMENT_POLICY_ID = 19U

const CORBA::PolicyType PortableServer::IMPLICIT_ACTIVATION_POLICY_ID = 20U

const CORBA::PolicyType PortableServer::SERVANT_RETENTION_POLICY_ID = 21U

const CORBA::PolicyType PortableServer::REQUEST_PROCESSING_POLICY_ID = 22U

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_POA

::CORBA::TypeCode_ptr const PortableServer::_tc_Current

Initial value:

        &_tao_tc_PortableServer_Current

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_Current

::CORBA::TypeCode_ptr const PortableServer::_tc_ObjectId

Initial value:

        &_tao_tc_PortableServer_ObjectId

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ObjectId

::CORBA::TypeCode_ptr const PortableServer::_tc_RequestProcessingPolicyValue

Initial value:

        &_tao_tc_PortableServer_RequestProcessingPolicyValue

::CORBA::TypeCode_ptr const PortableServer::_tc_RequestProcessingPolicy

Initial value:

        &_tao_tc_PortableServer_RequestProcessingPolicy

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_RequestProcessingPolicyValue

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_RequestProcessingPolicy

::CORBA::TypeCode_ptr const PortableServer::_tc_ServantActivator

Initial value:

        &_tao_tc_PortableServer_ServantActivator

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ServantActivator

::CORBA::TypeCode_ptr const PortableServer::_tc_ServantLocator

Initial value:

        &_tao_tc_PortableServer_ServantLocator

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ServantLocator

::CORBA::TypeCode_ptr const PortableServer::_tc_ServantManager

Initial value:

        &_tao_tc_PortableServer_ServantManager

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ServantManager

::CORBA::TypeCode_ptr const PortableServer::_tc_ServantRetentionPolicyValue

Initial value:

        &_tao_tc_PortableServer_ServantRetentionPolicyValue

::CORBA::TypeCode_ptr const PortableServer::_tc_ServantRetentionPolicy

Initial value:

        &_tao_tc_PortableServer_ServantRetentionPolicy

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ServantRetentionPolicyValue

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ServantRetentionPolicy

::CORBA::TypeCode_ptr const PortableServer::_tc_ThreadPolicyValue

Initial value:

        &_tao_tc_PortableServer_ThreadPolicyValue

::CORBA::TypeCode_ptr const PortableServer::_tc_ThreadPolicy

Initial value:

        &_tao_tc_PortableServer_ThreadPolicy

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ThreadPolicyValue

TAO_PortableServer_Export ::CORBA::TypeCode_ptr const PortableServer::_tc_ThreadPolicy